.tgrep.advanced-search
	margin: 0 auto
	max-width: map-get($breakpoints, medium)

	ul
		margin: 0
		padding: 0

	p
		margin-bottom: ($grid / 2)

.tgrep.advanced-search_button
	& + &
		margin-left: ($grid / 4)

	&.-item
		+icon('plus', false)
		width: (2 * $grid)

		&.-remove
			+icon('minus', false)

	&.-select
		+modify-button(small)
		+icon('plus-square-o')

		&.-none
			+icon('minus-square-o')

	&.-toggle
		+icon('caret-down')
		+modify-button(pale)

		&.-open
			border-radius: $br $br 0 0
			+icon('caret-up')

.tgrep.advanced-search_fieldset
	&:last-child
		margin: 0

	&.-toggle
		@extend %toggle

.tgrep.advanced-search_grow-group
	margin: 0

// Only needed when block operators are not shown
//.tgrep.advanced-search_grow-item
	& + &
		margin-top: ($grid / 2)

.tgrep.advanced-search_input
	&.-full-width
		width: 100%

.tgrep.advanced-search_input-group
	display: table-cell
	vertical-align: middle

	&.-type
		width: 30%

		+respond-to(small)
			padding: 0
			width: 100%

	&.-term
		padding: 0 ($grid / 4)
		width: 35%

		+respond-to(small)
			padding: 0
			width: 100%

	&.-buttons
		font-size: 0 // Get rid of white-space between buttons
		white-space: nowrap

	&.-operator
		color: $text-color-light
		font-weight: bold
		text-align: center

		&.-block
			display: block
			padding: ($grid / 4) 0
			position: relative

			&:before,
			&:after
				background: $border-color
				content: ''
				display: block
				height: $border-width
				position: absolute
				top: (.75 * $grid)
				width: 47%

				+respond-to(medium)
					width: 44%

				+respond-to(tiny)
					width: 40%

			&:after
				right: 0

			.tgrep.advanced-search_grow-item:first-child &
				display: none

	+respond-to(small)
		display: block
		margin-bottom: ($grid / 2)

	+ ul
		margin-top: ($grid / 2)

.tgrep.advanced-search_legend
	margin-bottom: ($grid / 2)

.tgrep.advanced-search_submit
	min-width: 8em
